import ErrorListTemplate from "../components/templates/ErrorListTemplate";
/**
 * Used to access the root LajiForm instance from a child component.
 */
export default class RootInstanceService {
    private schema;
    private formData;
    private onChangeCallback;
    private validateCallback;
    private submitWithWarningsCallback;
    private mounted;
    private errorListInstance;
    constructor(schema: any, formData: any, onChange: (formData: any) => void, validate: () => void, submitWithWarnings: () => void);
    setFormData(formData: any): void;
    getFormData(): any;
    onChange(formData: any): void;
    setSchema(schema: any): void;
    getSchema(): any;
    validate(): void;
    submitWithWarnings(): void;
    setIsMounted(mounted: boolean): void;
    isMounted(): boolean;
    setErrorListInstance(instance: ErrorListTemplate): void;
    getErrorListInstance(): ErrorListTemplate;
}
